/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.media.engine;

/**
 * MBean interface.
 */
public interface MediaTranscoderRegistryMBean extends org.jboss.system.ServiceMBean
{

   void addTranscoder(java.lang.String name, org.jboss.media.engine.MediaTranscoder object);

   void removeTranscoder(java.lang.String name);

   java.util.Iterator getTranscoderNames();

   org.jboss.media.engine.MediaTranscoder getTranscoder(java.lang.String name);

}
